Bug 74904 - PXE booting problems
Summary: PXE booting problems
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pxe   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 18:41 UTC by Alan Cox
Modified: 2007-04-18 16:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 15:03:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2002-10-02 18:41:17 UTC
PXE booting failed on my box. Firstly the documentation talks about the kernel
being found in places it wasnt secondly the PXE kernel when I found it on the CD
isnt working on my box (hangs on boot). I extracted the kernel from the bootnet
img file and that one worked! This may be a box specific oddity of course

VIA EPIA board, Eden 550 processor (fanless C3) - uses the 586 kernel.

With the bugzillad details fixed PXE worked nicely

Comment 1 Joe Orton 2002-11-02 01:42:40 UTC
I am getting this too with a presumably identical Mini-ITX box with a fanless
Eden, when booting via PXE.  I've tried using both the bootnet.img/vmlinuz from
images/pxeboot and those extracted from images/bootnet.img; in both cases, the
kernel hangs after printing "Ok, booting the kernel."

Any hints? BIOS setting changes needed? Kernel parameters to try passing?

Comment 2 Alan Cox 2002-11-02 14:35:40 UTC
I have a suspicion now actually. Go into the BIOS, enable the floppy controller 
(I know the board doesnt have a floppy). Try again


Comment 3 Joe Orton 2002-11-02 17:44:54 UTC
Still no joy - are you using BIOS defaults otherwise?  And the kernel images
from the 8.0 bootnet.img?


Comment 4 Alan Cox 2002-11-02 17:54:14 UTC
Pretty much BIOS defaults. I think I set it to do the proper memory check, power
up on poweron (in case of a power failure) and floppy on. I may have told it I
have an fd0 as well.

Im currently using the 8.0 boot kernel from the floppy image rather than the PXE
one but I think they may even be the same.


Comment 5 Joe Orton 2002-11-02 18:03:22 UTC
Doh, yeah, the vmlinuz from bootnet.img is the same as the pxeboot/vmlinuz
(different initrd's though).

There are two threads on http://forums.viaarena.com/categories.cfm?catid=28
about getting PXE working with Linux, no definitive answers though :)

You haven't flashed the BIOS?

Comment 6 Alan Cox 2002-11-02 20:04:31 UTC
I've not flashed the bios


Comment 7 Tim Verhoeven 2002-11-07 21:39:55 UTC
I've seen simular beheaviour on IBM Thinkpad laptops. But I've also found a 
solution.

When you get the question if you want to enter kernel parameter. Do this, but 
you don't have to fill any in. So I just always press enter twice. This will 
make it boot.


Comment 8 Joe Orton 2002-11-09 15:27:55 UTC
Oh yes! Thankyou. Confirmed that workaround works.  I see from the -cmdlinearg
patch we are applying to pxe, if you *don't* press a key to enter kernel
parameters, then it defaults to using:

  strncpy(cmdline,"ks console=ttyS0,115200",23);

I don't know what 'ks' means but this is switching to a serial console, right,
so the apparent "hang" you get is actually just the console disappearing? 

I think the prompt should be changed to *display* the defaults so you know this
is going to happen, or just to remove using a serial console by default.

e.g.

Enter kernel parameters (default: "ks console=ttyS0,115200"): 



Comment 9 Alan Cox 2002-11-09 15:32:49 UTC
ks = kickstart. I agree the default parameters are extremely bogus


Comment 10 Tim Verhoeven 2002-11-13 21:12:32 UTC
I consider these parameters a bug. The most sensible default would be add no 
kernel parameters. I don't really understand why even default to a serial 
console. I've never had to use that.

The best solution would off course be that you can set these default parameters 
in a config file without the need to recompile.

Any feedback on what the plans are with this bug ?

Comment 11 Daniel Walsh 2003-04-11 15:03:25 UTC
We are dropping support for pxe in the RHEL release and will drop it from future 
Red Hat Linux release.  
We are recommending that you use dhcp/pxelinux for X86 platforms.  


Note You need to log in before you can comment on or make changes to this bug.